## r-cran-blob 1.1.0

=== DESCRIPTION ===
Package: blob
Title: A Simple S3 Class for Representing Vectors of Binary Data
        ('BLOBS')
Version: 1.1.0
Authors@R: c(
    person("Hadley", "Wickham", role = c("aut")),
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", role = c("cre")),
    person("RStudio", role = "cph")
  )
Description: R's raw vector is useful for storing a single binary object.
    What if you want to put a vector of them in a data frame? The blob
    package provides the blob object, a list of raw vectors, suitable for
    use as a column in data frame.
Imports: tibble
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/hadley/blob
BugReports: https://github.com/hadley/blob/issues
Suggests: testthat, covr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-06-17 04:01:59 UTC; muelleki
Author: Hadley Wickham [aut],
  Kirill Müller [cre],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2017-06-17 14:57:46 UTC

=== debian/changelog ===
r-cran-blob (1.1.0-3) unstable; urgency=medium

  * Moved packaging from SVN to Git

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 14:54:10 +0100

r-cran-blob (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for r-api-3.4 transition.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Sep 2017 18:54:08 +0200

r-cran-blob (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #873272)

 -- Andreas Tille <tille@debian.org>  Sat, 26 Aug 2017 00:33:36 +0200

=== debian/control ===
Source: r-cran-blob
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-tibble
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-blob.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-blob.git
Homepage: https://cran.r-project.org/package=blob

Package: r-cran-blob
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R S3 Class for Representing Vectors of Binary Data ('BLOBS')
 R's raw vector is useful for storing a single binary object.
 What if you want to put a vector of them in a data frame? The blob
 package provides the blob object, a list of raw vectors, suitable for
 use as a column in data frame.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

Tests: generic
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

## r-cran-blob 1.1.1

=== debian/changelog ===
r-cran-blob (1.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:17:00 +0800

r-cran-blob (1.1.1-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 13:53:49 +0200

r-cran-blob (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Build-Depends: r-cran-prettyunits

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2018 11:15:09 +0200

=== debian/control ===
Source: r-cran-blob
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-prettyunits
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-blob
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-blob.git
Homepage: https://cran.r-project.org/package=blob

Package: r-cran-blob
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R S3 Class for Representing Vectors of Binary Data ('BLOBS')
 R's raw vector is useful for storing a single binary object.
 What if you want to put a vector of them in a data frame? The blob
 package provides the blob object, a list of raw vectors, suitable for
 use as a column in data frame.

## r-cran-blob 1.2.0

=== debian/changelog ===
r-cran-blob (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 10:31:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-prettyunits
-Standards-Version: 4.1.4
+               r-cran-prettyunits,
+               r-cran-rlang,
+               r-cran-vctrs
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-blob
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-blob.git
 Homepage: https://cran.r-project.org/package=blob

## r-cran-blob 1.2.1

=== DESCRIPTION ===
Package: blob
Title: A Simple S3 Class for Representing Vectors of Binary Data
        ('BLOBS')
Version: 1.2.1
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "Kirill",
             family = "Müller",
             role = "cre",
             email = "krlmlr+r@mailbox.org"),
      person(given = "RStudio",
             role = "cph"))
Description: R's raw vector is useful for storing a single
    binary object.  What if you want to put a vector of them in a data
    frame? The 'blob' package provides the blob object, a list of raw
    vectors, suitable for use as a column in data frame.
License: GPL-3
URL: https://github.com/tidyverse/blob
BugReports: https://github.com/tidyverse/blob/issues
Imports: methods, rlang, vctrs (>= 0.2.1)
Suggests: covr, crayon, pillar (>= 1.2.1), testthat
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-20 22:32:38 UTC; kirill
Author: Hadley Wickham [aut],
  Kirill Müller [cre],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2020-01-20 22:50:02 UTC

=== debian/changelog ===
r-cran-blob (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Remove additional test

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 10:52:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-prettyunits,
                r-cran-rlang,
                r-cran-vctrs
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-blob
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-blob.git
 Homepage: https://cran.r-project.org/package=blob

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/blob_([-\d.]*)\.tar\.gz

## r-cran-blob 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: blob
 Title: A Simple S3 Class for Representing Vectors of Binary Data
         ('BLOBS')
-Version: 1.2.1
+Version: 1.2.2
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -16,19 +16,18 @@
     binary object.  What if you want to put a vector of them in a data
     frame? The 'blob' package provides the blob object, a list of raw
     vectors, suitable for use as a column in data frame.
-License: GPL-3
-URL: https://github.com/tidyverse/blob
+License: MIT + file LICENSE
+URL: https://blob.tidyverse.org, https://github.com/tidyverse/blob
 BugReports: https://github.com/tidyverse/blob/issues
 Imports: methods, rlang, vctrs (>= 0.2.1)
 Suggests: covr, crayon, pillar (>= 1.2.1), testthat
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.0.2
 NeedsCompilation: no
-Packaged: 2020-01-20 22:32:38 UTC; kirill
+Packaged: 2021-07-23 02:39:55 UTC; kirill
 Author: Hadley Wickham [aut],
   Kirill Müller [cre],
   RStudio [cph]
 Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
 Repository: CRAN
-Date/Publication: 2020-01-20 22:50:02 UTC
+Date/Publication: 2021-07-23 05:20:08 UTC

=== debian/changelog ===
r-cran-blob (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 12:17:52 +0200

r-cran-blob (1.2.1-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 21:24:11 +0200

## r-cran-blob 1.2.3

=== DESCRIPTION ===
Package: blob
Title: A Simple S3 Class for Representing Vectors of Binary Data
        ('BLOBS')
Version: 1.2.3
Authors@R: c(
    person("Hadley", "Wickham", role = "aut"),
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", role = "cre"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: R's raw vector is useful for storing a single binary object.
    What if you want to put a vector of them in a data frame? The 'blob'
    package provides the blob object, a list of raw vectors, suitable for
    use as a column in data frame.
License: MIT + file LICENSE
URL: https://blob.tidyverse.org, https://github.com/tidyverse/blob
BugReports: https://github.com/tidyverse/blob/issues
Imports: methods, rlang, vctrs (>= 0.2.1)
Suggests: covr, crayon, pillar (>= 1.2.1), testthat
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-04-10 05:32:26 UTC; kirill
Author: Hadley Wickham [aut],
  Kirill Müller [cre],
  RStudio [cph, fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2022-04-10 06:22:28 UTC

=== debian/changelog ===
r-cran-blob (1.2.3-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2022 11:43:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rlang,
                r-cran-vctrs
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-blob
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-blob.git
 Homepage: https://cran.r-project.org/package=blob
+Rules-Requires-Root: no
 
 Package: r-cran-blob
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

## r-cran-blob 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: blob
 Title: A Simple S3 Class for Representing Vectors of Binary Data
         ('BLOBS')
-Version: 1.2.3
+Version: 1.2.4
 Authors@R: c(
     person("Hadley", "Wickham", role = "aut"),
-    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", role = "cre"),
+    person("Kirill", "Müller", , "kirill@cynkra.com", role = "cre"),
     person("RStudio", role = c("cph", "fnd"))
   )
 Description: R's raw vector is useful for storing a single binary object.
@@ -20,12 +20,12 @@
 Config/autostyle/strict: false
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-04-10 05:32:26 UTC; kirill
+Packaged: 2023-03-17 09:42:50 UTC; kirill
 Author: Hadley Wickham [aut],
   Kirill Müller [cre],
   RStudio [cph, fnd]
-Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
+Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2022-04-10 06:22:28 UTC
+Date/Publication: 2023-03-17 12:00:06 UTC

=== debian/changelog ===
r-cran-blob (1.2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 11 Jun 2023 18:45:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rlang,
                r-cran-vctrs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-blob
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-blob.git
 Homepage: https://cran.r-project.org/package=blob

## r-cran-blob 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: blob
 Title: A Simple S3 Class for Representing Vectors of Binary Data
         ('BLOBS')
-Version: 1.2.4
+Version: 1.3.0
 Authors@R: c(
     person("Hadley", "Wickham", role = "aut"),
     person("Kirill", "Müller", , "kirill@cynkra.com", role = "cre"),
@@ -15,17 +15,18 @@
 URL: https://blob.tidyverse.org, https://github.com/tidyverse/blob
 BugReports: https://github.com/tidyverse/blob/issues
 Imports: methods, rlang, vctrs (>= 0.2.1)
-Suggests: covr, crayon, pillar (>= 1.2.1), testthat
+Suggests: covr, crayon, pillar (>= 1.2.1), testthat (>= 3.0.0)
 Config/autostyle/scope: line_breaks
 Config/autostyle/strict: false
 Config/Needs/website: tidyverse/tidytemplate
+Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.3.9000
 NeedsCompilation: no
-Packaged: 2023-03-17 09:42:50 UTC; kirill
+Packaged: 2026-01-13 06:57:54 UTC; kirill
 Author: Hadley Wickham [aut],
   Kirill Müller [cre],
   RStudio [cph, fnd]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2023-03-17 12:00:06 UTC
+Date/Publication: 2026-01-14 09:10:14 UTC

=== debian/changelog ===
r-cran-blob (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 08:51:09 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-rlang,
-               r-cran-vctrs
-Standards-Version: 4.6.2
+               r-cran-vctrs,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-blob
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-blob.git
 Homepage: https://cran.r-project.org/package=blob

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-crayon,
        r-cran-pillar (>= 1.2.1),
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
